/*
** Copyright (C) 1991-1995 by
** Digital Equipment Corporation, Littleton, Mass.
**
** This software is furnished under a license and may be used and copied
** only  in  accordance  with  the  terms  of such  license and with the
** inclusion of the above copyright notice. This software or  any  other
** copies thereof may not be provided or otherwise made available to any
** other person. No title to and ownership of  the  software  is  hereby
** transferred.
**
** The information in this software is subject to change without  notice
** and  should  not be  construed  as  a commitment by Digital Equipment
** Corporation.
**
** Digital assumes no responsibility for the use or  reliability  of its
** software on equipment which is not supplied by Digital.
**
*/
#define DFX_FALSE	0
#define DFX_TRUE	1

typedef struct 
    {
    ulong 	  board_num;		/* Board identifier (0,1,2,...) */
    char	  *board_id;		/* String identifier for board */
    ulong	  board_type;		/* Board type (0 == PCI, 1 == EISA) */
    ulong	  eisa_slot_num;	/* EISA physical slot number */
    ulong	  pci_device_handle;	/* PCI bus,dev,function #'s */
    int		  int_level;		/* Interrupt (IRQ) level */
    int		  int_mode;		/* Edge or level triggering */
    int		  int_shared;		/* Is interrupt sharing supported? */
    int		  port_addr_0;		/* Base I/O port address 0 */
    int		  port_size_0;		/* Size of first I/O port range */
    int		  port_addr_1;		/* Base I/O port address 1 */
    int		  port_size_1;		/* Size of second I/O port range */
    ulong	  reg_base_v;		/* Base virtual address of regs */
    ulong	  reg_base_p;		/* Base physical address of regs */
    ulong	  mem_map_size;		/* Size of mapped memory */
    ulong	  full_duplex_enb;	/* Full Duplex FDDI enable */
    ulong	  req_ttrt;		/* Requested TTRT value (in ms.) */
    ulong	  burst_size;		/* Adapter burst size (enumerated) */
    unsigned char rec_bufs_to_post;	/* Receive buffers to post */
    ulong	  rcv_pkts_queued_thresh_hi;	/* High receive water mark */
    ulong	  rcv_pkts_queued_thresh_lo;	/* Low receive water mark */
    int		  uniform_card_model;	/* Should we loopback pkts? */
    int		  major_num;		/* Major number for this device */
    } DFX_config_info_t;
